<?php



class mt_map_Widget extends WP_Widget { 



// constructor

    function mt_map_widget() {

		$widget_ops = array('classname' => 'mt_map_widget_widget', 'description' => __( 'Use Google Maps to show your location.', 'mtmap') ); 

        parent::__construct(false, $name = __('MT - Map', 'mtmap'), $widget_ops); 

		$this->alt_option_name = 'mt_map_widget';

		

		add_action( 'save_post', array($this, 'flush_widget_cache') );

		add_action( 'deleted_post', array($this, 'flush_widget_cache') );

		add_action( 'switch_theme', array($this, 'flush_widget_cache') );	

    } 

	

	// widget form creation

	function form($instance) {



	// Check values

		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';

		$url    = isset( $instance['url'] ) ? esc_url( $instance['url'] ) : '';

	?>



	<p>

	<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'mtmap'); ?></label>

	<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />

	</p>



	<p><label for="<?php echo $this->get_field_id( 'url' ); ?>"><?php _e( 'Paste the URL of the map ( Copy the Google Map embed URL (ex: https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d3022) and paste it in the textbox below. The URL is located after the src in the embed snippet. Do not include the width, height, frameborder, or style. ):', 'mtmap' ); ?></label>

	<input class="widefat" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" type="text" value="<?php echo $url; ?>" size="3" /></p>

	

	<?php

	}



	// update widget

	function update($new_instance, $old_instance) {

		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);

		$instance['url'] = esc_url_raw($new_instance['url']);

		$this->flush_widget_cache();



		$alloptions = wp_cache_get( 'alloptions', 'options' );

		if ( isset($alloptions['mt_map_widget']) )

			delete_option('mt_map_widget');		  

		  

		return $instance;

	}

	

	function flush_widget_cache() {

		wp_cache_delete('mt_map_widget', 'widget');

	}

	

	// display widget

	function widget($args, $instance) {

		$cache = array();

		if ( ! $this->is_preview() ) {

			$cache = wp_cache_get( 'mt_map_widget', 'widget' );

		}



		if ( ! is_array( $cache ) ) {

			$cache = array();

		}



		if ( ! isset( $args['widget_id'] ) ) {

			$args['widget_id'] = $this->id;

		}



		if ( isset( $cache[ $args['widget_id'] ] ) ) {

			echo $cache[ $args['widget_id'] ];

			return;

		}



		ob_start();

		extract($args); 



		$title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Map', 'mtmap' );



		$title = apply_filters( 'widget_title', $title, $instance, $this->id_base );



		$url   = isset( $instance['url'] ) ? esc_url( $instance['url'] ) : '';



		echo $before_widget;

		

		if ( $title ) echo $before_title . $title . $after_title;

		

		if( ($url) ) {  ?> 

			<div class="home-map">
			
                <div class="mt-map-overlay" onClick="style.pointerEvents='none'"></div>     
        		<iframe src="<?php echo esc_url( $url ); ?>" width="100%" height="400" frameborder="0" style="border:0"></iframe>
            
        	</div> 
            
        <?php 

		}

		echo $after_widget;





		if ( ! $this->is_preview() ) {

			$cache[ $args['widget_id'] ] = ob_get_flush();

			wp_cache_set( 'mt_map_widget', $cache, 'widget' );

		} else {

			ob_end_flush();

		}

	}

	

}	