<?php
/*
Plugin Name: Map by ModernThemes
Plugin URI: http://modernthemes.net/plugins/map
Description: This is a plugin by ModernThemes that adds a Google Maps widget.
Version: 1.1.2
Author: ModernThemes
Author URI: http://modernthemes.net/
License: GPL2
Text Domain: mtmap 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_map', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_map' //Plugin slug
);


add_action('admin_init', 'mt_mapsettings_flush' );

function mt_mapsettings_flush(){ 

		if ( isset( $_POST['mt_mapsettings_options'] ) ) {


			flush_rewrite_rules();
		
		}

}

/* Paths for Files */
$mt_map_main_file = dirname(__FILE__).'/map-by-mt.php';
$mt_map_directory = plugin_dir_url($mt_map_main_file);
$mt_map_path = dirname(__FILE__);

/* CSS and Scripts */
function mt_map_add_scripts() {
	global $mt_map_directory, $mt_map_path; 
	
		wp_enqueue_style('mt-map-grid', $mt_map_directory. 'css/grid.css'); 
		wp_enqueue_style('mt-map-style', $mt_map_directory. 'css/style.css'); 
		
}
		
add_action('wp_enqueue_scripts', 'mt_map_add_scripts');


class MT_Map_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) );
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/widget-mt-map.php' );
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mtmap', false, 'mt_map/languages' );
		
		register_widget( 'mt_map_Widget' );
		
	}

	public function uninstall() {}
}

$mt_map_widgets = new MT_Map_Widgets();